/*
 *                 Sun Public License Notice
 *
 * The contents of this file are subject to the Sun Public License
 * Version 1.0 (the "License"). You may not use this file except in
 * compliance with the License. A copy of the License is available at
 * http://www.sun.com/
 *
 *
 * The Original Code is NetBeans. The Initial Developer of the Original
 * Code is Tom Wheeler. Portions Copyright 2006 Tom Wheeler. All Rights 
 * Reserved. Any future updates to this code will be made available at 
 * http://www.tomwheeler.com/netbeans/
 */

package com.tomwheeler.example.tdlfile.gui;

import java.awt.event.ActionEvent;
import javax.swing.AbstractAction;
import javax.swing.ImageIcon;
import org.openide.util.NbBundle;
import org.openide.util.Utilities;
import org.openide.windows.TopComponent;

/**
 * <p>
 * This class simply displays the TodoListManager window (TodoListManagerTopComponent).
 * </p>
 *
 * @author <a href="http://www.tomwheeler.com/netbeans/">Tom Wheeler</a>
 */
public class TodoListManagerAction extends AbstractAction {
    
    public TodoListManagerAction() {
        super(NbBundle.getMessage(TodoListManagerAction.class, "CTL_TodoListManagerAction"));
    }
    
    public void actionPerformed(ActionEvent evt) {
        TopComponent win = TodoListManagerTopComponent.findInstance();
        win.open();
        win.requestActive();
    }
}
